Create inbox
curl --request POST \
--url https://api.emailr.dev/v1/inboxes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Support",
"username": "support",
"domain": "example.com",
"reply_to": "[email protected]",
"signature_html": "<p>Best regards,<br/>Support Team</p>",
"signature_enabled": false,
"slack_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slack_channel_id": "<string>",
"slack_channel_name": "<string>",
"slack_notifications_enabled": false
}
'import requests
url = "https://api.emailr.dev/v1/inboxes"
payload = {
"name": "Support",
"username": "support",
"domain": "example.com",
"reply_to": "[email protected]",
"signature_html": "<p>Best regards,<br/>Support Team</p>",
"signature_enabled": False,
"slack_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slack_channel_id": "<string>",
"slack_channel_name": "<string>",
"slack_notifications_enabled": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Support',
username: 'support',
domain: 'example.com',
reply_to: '[email protected]',
signature_html: '<p>Best regards,<br/>Support Team</p>',
signature_enabled: false,
slack_connection_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
slack_channel_id: '<string>',
slack_channel_name: '<string>',
slack_notifications_enabled: false
})
};
fetch('https://api.emailr.dev/v1/inboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.emailr.dev/v1/inboxes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Support',
'username' => 'support',
'domain' => 'example.com',
'reply_to' => '[email protected]',
'signature_html' => '<p>Best regards,<br/>Support Team</p>',
'signature_enabled' => false,
'slack_connection_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'slack_channel_id' => '<string>',
'slack_channel_name' => '<string>',
'slack_notifications_enabled' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.emailr.dev/v1/inboxes"
payload := strings.NewReader("{\n \"name\": \"Support\",\n \"username\": \"support\",\n \"domain\": \"example.com\",\n \"reply_to\": \"[email protected]\",\n \"signature_html\": \"<p>Best regards,<br/>Support Team</p>\",\n \"signature_enabled\": false,\n \"slack_connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"slack_channel_id\": \"<string>\",\n \"slack_channel_name\": \"<string>\",\n \"slack_notifications_enabled\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.emailr.dev/v1/inboxes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Support\",\n \"username\": \"support\",\n \"domain\": \"example.com\",\n \"reply_to\": \"[email protected]\",\n \"signature_html\": \"<p>Best regards,<br/>Support Team</p>\",\n \"signature_enabled\": false,\n \"slack_connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"slack_channel_id\": \"<string>\",\n \"slack_channel_name\": \"<string>\",\n \"slack_notifications_enabled\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.emailr.dev/v1/inboxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Support\",\n \"username\": \"support\",\n \"domain\": \"example.com\",\n \"reply_to\": \"[email protected]\",\n \"signature_html\": \"<p>Best regards,<br/>Support Team</p>\",\n \"signature_enabled\": false,\n \"slack_connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"slack_channel_id\": \"<string>\",\n \"slack_channel_name\": \"<string>\",\n \"slack_notifications_enabled\": false\n}"
response = http.request(request)
puts response.read_body{
"id": "123e4567-e89b-12d3-a456-426614174000",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Support",
"username": "support",
"domain": "example.com",
"reply_to": "[email protected]",
"from_address": "[email protected]",
"inbound_address": "[email protected]",
"signature_html": "<p>Best regards,<br/>Support Team</p>",
"signature_enabled": false,
"slack_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slack_channel_id": "<string>",
"slack_channel_name": "<string>",
"slack_notifications_enabled": false,
"unread_thread_count": 3,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "An error occurred",
"code": "VALIDATION_ERROR",
"details": "<unknown>"
}{
"error": "An error occurred",
"code": "VALIDATION_ERROR",
"details": "<unknown>"
}{
"error": "An error occurred",
"code": "VALIDATION_ERROR",
"details": "<unknown>"
}inboxes
Create inbox
Create a new inbox for the organization
POST
/
v1
/
inboxes
Create inbox
curl --request POST \
--url https://api.emailr.dev/v1/inboxes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Support",
"username": "support",
"domain": "example.com",
"reply_to": "[email protected]",
"signature_html": "<p>Best regards,<br/>Support Team</p>",
"signature_enabled": false,
"slack_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slack_channel_id": "<string>",
"slack_channel_name": "<string>",
"slack_notifications_enabled": false
}
'import requests
url = "https://api.emailr.dev/v1/inboxes"
payload = {
"name": "Support",
"username": "support",
"domain": "example.com",
"reply_to": "[email protected]",
"signature_html": "<p>Best regards,<br/>Support Team</p>",
"signature_enabled": False,
"slack_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slack_channel_id": "<string>",
"slack_channel_name": "<string>",
"slack_notifications_enabled": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Support',
username: 'support',
domain: 'example.com',
reply_to: '[email protected]',
signature_html: '<p>Best regards,<br/>Support Team</p>',
signature_enabled: false,
slack_connection_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
slack_channel_id: '<string>',
slack_channel_name: '<string>',
slack_notifications_enabled: false
})
};
fetch('https://api.emailr.dev/v1/inboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.emailr.dev/v1/inboxes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Support',
'username' => 'support',
'domain' => 'example.com',
'reply_to' => '[email protected]',
'signature_html' => '<p>Best regards,<br/>Support Team</p>',
'signature_enabled' => false,
'slack_connection_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'slack_channel_id' => '<string>',
'slack_channel_name' => '<string>',
'slack_notifications_enabled' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.emailr.dev/v1/inboxes"
payload := strings.NewReader("{\n \"name\": \"Support\",\n \"username\": \"support\",\n \"domain\": \"example.com\",\n \"reply_to\": \"[email protected]\",\n \"signature_html\": \"<p>Best regards,<br/>Support Team</p>\",\n \"signature_enabled\": false,\n \"slack_connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"slack_channel_id\": \"<string>\",\n \"slack_channel_name\": \"<string>\",\n \"slack_notifications_enabled\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.emailr.dev/v1/inboxes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Support\",\n \"username\": \"support\",\n \"domain\": \"example.com\",\n \"reply_to\": \"[email protected]\",\n \"signature_html\": \"<p>Best regards,<br/>Support Team</p>\",\n \"signature_enabled\": false,\n \"slack_connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"slack_channel_id\": \"<string>\",\n \"slack_channel_name\": \"<string>\",\n \"slack_notifications_enabled\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.emailr.dev/v1/inboxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Support\",\n \"username\": \"support\",\n \"domain\": \"example.com\",\n \"reply_to\": \"[email protected]\",\n \"signature_html\": \"<p>Best regards,<br/>Support Team</p>\",\n \"signature_enabled\": false,\n \"slack_connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"slack_channel_id\": \"<string>\",\n \"slack_channel_name\": \"<string>\",\n \"slack_notifications_enabled\": false\n}"
response = http.request(request)
puts response.read_body{
"id": "123e4567-e89b-12d3-a456-426614174000",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Support",
"username": "support",
"domain": "example.com",
"reply_to": "[email protected]",
"from_address": "[email protected]",
"inbound_address": "[email protected]",
"signature_html": "<p>Best regards,<br/>Support Team</p>",
"signature_enabled": false,
"slack_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slack_channel_id": "<string>",
"slack_channel_name": "<string>",
"slack_notifications_enabled": false,
"unread_thread_count": 3,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "An error occurred",
"code": "VALIDATION_ERROR",
"details": "<unknown>"
}{
"error": "An error occurred",
"code": "VALIDATION_ERROR",
"details": "<unknown>"
}{
"error": "An error occurred",
"code": "VALIDATION_ERROR",
"details": "<unknown>"
}Authorizations
Body
application/json
Response
Inbox created
Reply-to address for outbound emails. Defaults to [email protected] when not set.
Example:
Computed from address (username@domain) used for outbound sending
Example:
Computed inbound address ([email protected]) used for receiving emails
Example: